
struct bot_t	// From PODBOT-MM (FOR EXAMPLE)
{
	#include <BotChatter.hpp>

	// ...
	BotChatter *m_chatter;	/// @note This class should be constructed when bot is in game
	// ...

	// ...
	inline const bool InitializeChatter (void) { return (m_chatter = new BotChatter ()) != NULL; }	/// @note Must be called on bot connect
	inline const bool DeinitializeChatter (void) { delete m_chatter; m_chatter = NULL; }	/// @note Must be called on bot disconnect
	inline       BotChatter *const GetChatterManager (void)       { return m_chatter; }
	inline const BotChatter *const GetChatterManager (void) const { return m_chatter; }

	void SV_ParseVoiceData (const bool isFinalData);
	// ...
};

inline void ReleaseCodecForBots (void)
{
	// Loop through all bots....
	for (unsigned char bot_index (0u); bot_index < gpGlobals->maxClients; ++bot_index)
		if (bots[bot_index].is_used && !FNullEnt (bots[bot_index].pEdict) && bots[bot_index]->GetChatterManager ()->IsCodecInitialized ())
			bots[bot_index]->GetChatterManager ()->ReleaseCodec ();
}
inline void OnChangeCodecForBots (const unsigned char quality)
{
	// Loop through all bots....
	for (unsigned char bot_index (0u); bot_index < gpGlobals->maxClients; ++bot_index)
		if (bots[bot_index].is_used && !FNullEnt (bots[bot_index].pEdict))
			bots[bot_index]->GetChatterManager ()->OnChangeCodec (quality);
}