void WINAPI GiveFnptrsToDll (enginefuncs_t* pengfuncsFromEngine, globalvars_t *pGlobals)
{
	// ...
	sv_voiceenable = CVAR_GET_POINTER ("sv_voiceenable");
	sv_voicecodec = CVAR_GET_POINTER ("sv_voicecodec");
	sv_voicequality = CVAR_GET_POINTER ("sv_voicequality");

	GET_GAME_DIR (g_gameModName);
}

void ServerActivate (edict_t *pEdictList, int edictCount, int clientMax)
{
	// ...
	g_voiceCodecDLLWrapper = new VoiceCodecDLLWrapper ();
	// ...
}

// From PODBOT-MM (FOR EXAMPLE)
void BotCreate (int bot_skill, int bot_personality, int bot_team, int bot_class, const char *bot_name)
{
	// ...
	pBot->InitializeChatter ();
}

void ClientDisconnect (edict_t *pEntity)
{
	// From PODBOT-MM (FOR EXAMPLE)

	const int i (ENTINDEX (pEntity) - 1);

	// ...

	// Check if its a Bot
	if (bots[i].pEdict == pEntity)
	{
		// ...
		bots[i].DeinitializeChatter ();
		// ...
	}

	// ...
}

void ServerDeactivate (void)
{
	// ...
	delete g_voiceCodecDLLWrapper;
	g_voiceCodecDLLWrapper = NULL;
	// ...
}

void StartFrame (void)
{
	// ...
	if (g_voiceCodecDLLWrapper != NULL)
		g_voiceCodecDLLWrapper->SV_CheckVoiceChanges ();
	// ...
}